#include "MemoryFunctions.h"
#include "xp_tools.h"
#include "xp_tools.h"

#include "MemoryFunctions.h"
#include "Spartan2E_Adr.h"



//////////////////////////////////////
//////////////////////////////////////
// установить бит в ADR_ASYNC_BUS_TABLE
//////////////////////////////////////
//////////////////////////////////////
void set_adr_sync_table(int np)
{
	unsigned int active_address;

	active_address = i_ReadMemory(ADR_ASYNC_BUS_TABLE);
    active_address |= (1 << np);

	WriteMemory(ADR_ASYNC_BUS_TABLE, active_address);
}


//////////////////////////////////////
//////////////////////////////////////
// сбросить бит в ADR_ASYNC_BUS_TABLE
//////////////////////////////////////
//////////////////////////////////////
void clear_adr_sync_table(int np)
{
	unsigned int active_address;

	active_address = i_ReadMemory(ADR_ASYNC_BUS_TABLE);
    active_address &= (~(1 << np));

	WriteMemory(ADR_ASYNC_BUS_TABLE, active_address);
}


